Bug 1270656 - [DOCS] [7.2] [Feature] Update cloud-init for RHEL AH 7.2 new features
[DOCS] [7.2] [Feature] Update cloud-init for RHEL AH 7.2 new features
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-RHEL-Atomic (Show other bugs)
7.1
Unspecified Unspecified
high Severity medium
: rc
: 7.2
Assigned To: Yoana Ruseva
Giuseppe Scrivano
Vikram Goyal
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 00:38 EDT by Vikram Goyal
Modified: 2016-05-12 06:22 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 06:22:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-10-12 00:38:11 EDT
cloud-init is being upgraded in RHEL AH 7.2 to cover interaction with docker storage, auth, network and more.

We need to document:

* how to use cloud-init on AH
* it's interaction with docker storage, auth and networking (if applicable).

It should be documented in:

* Installation and Configuration Guide [2]

[2] https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux_Atomic_Host/7/html-single/Installation_and_Configuration_Guide/index.html
Comment 2 Yoana Ruseva 2015-10-26 12:28:24 EDT
Hi Brent, can you tell me which version of cloud-init will be included in RHEL Atomic 7.2? Do you have a list of the new features?
Comment 4 Yoana Ruseva 2015-10-27 09:39:12 EDT
Sorry Brent, thanks for providing the right name. Lars, can you point me to some initial information?
Comment 5 Colin Walters 2015-11-04 12:18:13 EST
Beyond the subscription manager case, I am not aware offhand of any new features specific to either Docker or Atomic Host in cloud-init for 7.2.
Comment 6 Colin Walters 2015-11-04 16:46:37 EST
If we're just looking for new documentation specific to cloud-init and AH (again not specific necessarily to 7.2), of the aspects mentioned (storage, auth, networking), I think storage is most important.

We could cross link to https://access.redhat.com/articles/1492923#dss_config
and note that those shell script commands can be run via `bootcmd` hooks.

Similarly, editing /etc/sysconfig/docker to e.g. add `--block-registry docker.io` or other options would also make sense from `bootcmd`.
Comment 13 Yoana Ruseva 2016-05-11 18:46:06 EDT
I've added the following sections to 1.6. Setting up cloud-init:

 How do I set up storage with docker-storage-setup? 
 How do I enable the Overlay Graph Driver? 
 How do I manage Red Hat subscriptions with cloud-init?
Comment 14 Yoana Ruseva 2016-05-12 06:21:02 EDT
Sections have been added to the Installation and Configuraiton guide, here:

https://access.qa.redhat.com/documentation/en/red-hat-enterprise-linux-atomic-host/version-7/installation-and-configuration-guide/#setting_up_cloud_init

Note You need to log in before you can comment on or make changes to this bug.